2019-01-22 02:55 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002123NetSurfRISC OS-specificpublic2015-03-10 11:03
ReporterTony Moore 
Assigned ToVincent Sanders 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformRiscPCOSRISC OSOS Version6.20
Product Version3.2 
Target VersionFixed in Version3.2 
Summary0002123: full-save crash
Descriptionhttp://www.chrisjohnson.plus.com/software/chartdraw.html displays correctly but any attempt to full-save the page leads to the error 'NetSurf has detected a serious error and must exit ...' and NS disapears from the iconbar.

The log file has been uploaded.
 
Steps To Reproducefull-save the displayed page
Additional Informationnone
TagsNo tags attached.
Fixed in CI build #1886
Reported in CI build #1877
URL of problem pagehttp://www.chrisjohnson.plus.com/software/chartdraw.html
Attached Files
  • zip file icon log.zip (10,902 bytes) 2014-05-15 20:00

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000332

Vincent Sanders (administrator)

riscos_mkpath() is not checking its parameters for NULL
Vincent Sanders

~0000333

Vincent Sanders (administrator)

all mkpath implementations now check parameters properly
Vincent Sanders

~0000699

Vincent Sanders (administrator)

Confirmed fixed in 3.2 release
+Notes

-Issue History
Date Modified Username Field Change
2014-05-15 20:00 Tony Moore New Issue
2014-05-15 20:00 Tony Moore File Added: log.zip
2014-05-17 22:28 Vincent Sanders Note Added: 0000332
2014-05-17 22:28 Vincent Sanders Assigned To => Vincent Sanders
2014-05-17 22:28 Vincent Sanders Status new => confirmed
2014-05-17 22:28 Vincent Sanders Product Version => 3.2
2014-05-17 22:28 Vincent Sanders Description Updated View Revisions
2014-05-17 22:29 Vincent Sanders Fixed in CI build # => 1886
2014-05-17 22:29 Vincent Sanders Note Added: 0000333
2014-05-17 22:29 Vincent Sanders Status confirmed => resolved
2014-05-17 22:29 Vincent Sanders Resolution open => fixed
2014-05-17 22:29 Vincent Sanders Fixed in Version => 3.2
2015-03-10 11:03 Vincent Sanders Note Added: 0000699
2015-03-10 11:03 Vincent Sanders Status resolved => closed
+Issue History